%global gem_name bcrypt
Name:                rubygem-%{gem_name}
Version:             3.1.18
Release:             1
Summary:             Wrapper around bcrypt() password hashing algorithm
License:             MIT and Public Domain and ISC
URL:                 https://github.com/codahale/bcrypt-ruby
Source0:             https://rubygems.org/gems/bcrypt-%{version}.gem
BuildRequires:       ruby(release) rubygems-devel ruby-devel rubygem(rspec) gcc
Provides:            rubygem(brypt-ruby) = %{version}
Provides:            rubygem-bcrypt-ruby = %{version}-%{release}
Obsoletes:           rubygem-bcrypt-ruby <= 3.1.2-2
%description
bcrypt() is a sophisticated and secure hash algorithm designed by The
OpenBSD project for hashing passwords. bcrypt-ruby provides a simple,
humane wrapper for safely handling passwords.

%package help
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
Provides:            %{name}-doc = %{version}-%{release}
Obsoletes:           %{name}-doc < %{version}-%{release}
%description help
Documentation for %{name}.

%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/
rm -rf %{buildroot}%{gem_instdir}/ext/

%check
pushd .%{gem_instdir}
rspec -I$(dirs +1)%{gem_extdir_mri} spec
popd

%files
%dir %{gem_instdir}
%{gem_extdir_mri}
%exclude %{gem_instdir}/.*
%license %{gem_instdir}/COPYING
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files help
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG
%{gem_instdir}/Gemfile*
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/%{gem_name}.gemspec
%{gem_instdir}/spec

%changelog
* Wed Jan 17 2024 liyanan <liyanan61@h-partners.com> - 3.1.18-1
- Upgrade version to 3.1.18

* Tue Nov 14 2023 xu_ping <707078654@qq.com> - 3.1.13-1
- Upgrade version to 3.1.13

* Sat Aug 22 2020 liyanan <liyanan32@huawei.com> - 3.1.12-1
- package init
